#include <iostream>
#include <algorithm>
#include <cmath>

using namespace std;

void brc(int x, int & x1)
{
    if (x<10) x1=1;
    else if (x<100) x1=2;
    else x1=3;
}
int p(int x, int y, int z, int y1,int z1)
{
    int p1=x*(pow(10,(y1+z1)))+y*(pow(10,z1))+z;
    return p1;
}
int main()
{
    int a,b,c,a1,b1,c1,m,p2;
    cin >> a >> b >> c;
    brc(a,a1);
    brc(b,b1);
    brc(c,c1);
    m=p(a,b,c,b1,c1);
    p2=p(a,c,b,c1,b1);
    m=max(m,p2);
    p2=p(b,a,c,a1,c1);
    m=max(m,p2);
    p2=p(b,c,a,c1,a1);
    m=max(m,p2);
    p2=p(c,a,b,a1,b1);
    m=max(m,p2);
    p2=p(c,b,a,b1,a1);
    m=max(m,p2);
    cout << m;

    return 0;
}